Bug 1273430 (CVE-2015-4734)

Summary: CVE-2015-4734 OpenJDK: kerberos realm name leak (JGSS, 8048030)
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: dbhole, gnaik, jvanek, sbaiduzh, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-11-23 13:45:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1257667    

Description Tomas Hoger 2015-10-20 12:40:38 UTC
It was discovered that the JGSS component of OpenJDK did not properly hide Kerberos realm information from all error exceptions when running under Security Manager.  An untrusted Java application or applet could use this flaw to obtain certain information about the Kerberos configuration on the host where they were executed, bypassing certain Java sandbox restrictions.

Comment 1 Tomas Hoger 2015-10-21 08:54:48 UTC
Public now via Oracle Critical Patch Update - October 2015.  Fixed in Oracle Java SE 6u105, 7u91, and 8u65.

External References:

http://www.oracle.com/technetwork/topics/security/cpuoct2015-2367953.html#AppendixJAVA

Comment 2 errata-xmlrpc 2015-10-21 18:48:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2015:1921 https://rhn.redhat.com/errata/RHSA-2015-1921.html

Comment 3 errata-xmlrpc 2015-10-21 21:00:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:1920 https://rhn.redhat.com/errata/RHSA-2015-1920.html

Comment 4 errata-xmlrpc 2015-10-21 21:09:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:1919 https://rhn.redhat.com/errata/RHSA-2015-1919.html

Comment 5 errata-xmlrpc 2015-10-22 18:35:50 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:1928 https://rhn.redhat.com/errata/RHSA-2015-1928.html

Comment 6 errata-xmlrpc 2015-10-22 18:36:53 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:1926 https://rhn.redhat.com/errata/RHSA-2015-1926.html

Comment 7 errata-xmlrpc 2015-10-22 18:46:25 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2015:1927 https://rhn.redhat.com/errata/RHSA-2015-1927.html

Comment 8 Tomas Hoger 2015-10-26 14:35:05 UTC
OpenJDK8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/4cedd41c2a19

Comment 10 errata-xmlrpc 2015-11-18 16:41:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:2086 https://rhn.redhat.com/errata/RHSA-2015-2086.html

Comment 11 errata-xmlrpc 2015-11-23 12:41:57 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2015:2508 https://rhn.redhat.com/errata/RHSA-2015-2508.html

Comment 12 errata-xmlrpc 2015-11-23 12:43:53 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2015:2507 https://rhn.redhat.com/errata/RHSA-2015-2507.html

Comment 13 errata-xmlrpc 2015-11-23 12:57:44 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2015:2509 https://rhn.redhat.com/errata/RHSA-2015-2509.html

Comment 14 errata-xmlrpc 2015-11-23 12:59:36 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2015:2506 https://rhn.redhat.com/errata/RHSA-2015-2506.html

Comment 15 errata-xmlrpc 2016-07-18 13:54:32 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.6
  Red Hat Satellite 5.7

Via RHSA-2016:1430 https://access.redhat.com/errata/RHSA-2016:1430